#pragma once

#include <math.h>
#include "shader.h"

typedef struct
{
	miScalar    tnear;
	miScalar    tfar;
	miBoolean   use_float;		// 0-1 or float
	miColor     transparency;
	miBoolean   invert;
        miBoolean   mirrorMode;
        miBoolean   split;
        miBoolean   reflect;
}depth_t;

extern "C"
{
	DLLEXPORT int tc_p_zDepth_version(void);
	DLLEXPORT miBoolean tc_p_zDepth(miColor *result, miState *state, depth_t *paras);
}